STRUCT TEMPL(3)

NAME
boost::proto::wants_basic_expr

SYNOPSIS

// In header: <boost/proto/generate.hpp>
template<typename Generator>
struct wants_basic_expr :  mpl::bool_< true-or-false > {
};

DESCRIPTION

A Boolean metafunction that tests a generator to see whether it would prefer to be passed instances of proto::basic_expr<> rather than proto::expr<>.